commit c10cb19609cc399f70fbf4e3261fd90f3079c122
Author: Stephen Beaver <sbeaver@netgate.com>
Date:   Thu Nov 5 08:11:15 2015 -0500

    Moved action-buttons in-line styling to pfSense.css

diff --git a/src/usr/local/www/bootstrap/css/pfSense.css b/src/usr/local/www/bootstrap/css/pfSense.css
index 07a54eaa96..68d9cde05b 100644
--- a/src/usr/local/www/bootstrap/css/pfSense.css
+++ b/src/usr/local/www/bootstrap/css/pfSense.css
@@ -159,6 +159,7 @@ tr.disabled th {
 
 .action-buttons {
 	text-align: right;
+	margin-top: 10px;
 	margin-bottom: 20px;
 }
 
diff --git a/src/usr/local/www/crash_reporter.php b/src/usr/local/www/crash_reporter.php
index 50e105f66e..3261d934d3 100644
--- a/src/usr/local/www/crash_reporter.php
+++ b/src/usr/local/www/crash_reporter.php
@@ -175,4 +175,4 @@ exec("/usr/bin/grep -vi warning /tmp/PHP_errors.log", $php_errors);
 	}
 ?>
 
-<?php include("foot.inc")?>
\ No newline at end of file
+<?php include("foot.inc")?>
diff --git a/src/usr/local/www/diag_defaults.php b/src/usr/local/www/diag_defaults.php
index 79786ad42f..9e95fbbf6d 100755
--- a/src/usr/local/www/diag_defaults.php
+++ b/src/usr/local/www/diag_defaults.php
@@ -104,4 +104,4 @@ include("head.inc");
 	</p>
 </form>
 <?php endif?>
-<?php include("foot.inc")?>
\ No newline at end of file
+<?php include("foot.inc")?>
diff --git a/src/usr/local/www/diag_dns.php b/src/usr/local/www/diag_dns.php
index 140bf4bdb1..d2b9681dfe 100755
--- a/src/usr/local/www/diag_dns.php
+++ b/src/usr/local/www/diag_dns.php
@@ -298,4 +298,4 @@ if (!$input_errors && $type) {
 </div>
 <?php
 }
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_dump_states_sources.php b/src/usr/local/www/diag_dump_states_sources.php
index 360ec580d4..e723985b44 100644
--- a/src/usr/local/www/diag_dump_states_sources.php
+++ b/src/usr/local/www/diag_dump_states_sources.php
@@ -198,4 +198,4 @@ if ($row == 0) {
 	print('<p class="alert alert-warning">' . gettext('No source tracking entries were found.') . '</p>');
 }
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_gmirror.php b/src/usr/local/www/diag_gmirror.php
index 17fbed8be5..7e66ee0cda 100644
--- a/src/usr/local/www/diag_gmirror.php
+++ b/src/usr/local/www/diag_gmirror.php
@@ -402,4 +402,4 @@ endif; ?>
 </form>
 
 <?php
-require("foot.inc");
\ No newline at end of file
+require("foot.inc");
diff --git a/src/usr/local/www/diag_ipsec_sad.php b/src/usr/local/www/diag_ipsec_sad.php
index 288c50917c..b1c3220e08 100644
--- a/src/usr/local/www/diag_ipsec_sad.php
+++ b/src/usr/local/www/diag_ipsec_sad.php
@@ -156,4 +156,4 @@ else
 
 print_info_box(gettext('You can configure your IPsec subsystem by clicking ') . '<a href="vpn_ipsec.php">' . gettext("here.") . '</a>');
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_ipsec_spd.php b/src/usr/local/www/diag_ipsec_spd.php
index ef145238e2..1d1f3b1f01 100644
--- a/src/usr/local/www/diag_ipsec_spd.php
+++ b/src/usr/local/www/diag_ipsec_spd.php
@@ -146,4 +146,4 @@ else {
 
 print_info_box(gettext('You can configure your IPsec subsystem by clicking ') . '<a href="vpn_ipsec.php">' . gettext("here.") . '</a>');
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_limiter_info.php b/src/usr/local/www/diag_limiter_info.php
index 8c7cd1f343..495c436498 100644
--- a/src/usr/local/www/diag_limiter_info.php
+++ b/src/usr/local/www/diag_limiter_info.php
@@ -121,4 +121,4 @@ if ($input_errors)
 	</div>
 </div>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/diag_logs.php b/src/usr/local/www/diag_logs.php
index ebd0c61b83..436b3225a5 100755
--- a/src/usr/local/www/diag_logs.php
+++ b/src/usr/local/www/diag_logs.php
@@ -172,4 +172,4 @@ if ($logfile == 'dhcpd')
 	</pre>
 </div>
 
-<?php include("foot.inc"); ?>
\ No newline at end of file
+<?php include("foot.inc"); ?>
diff --git a/src/usr/local/www/diag_logs_filter_summary.php b/src/usr/local/www/diag_logs_filter_summary.php
index 7a83b95454..4ef48b2de3 100644
--- a/src/usr/local/www/diag_logs_filter_summary.php
+++ b/src/usr/local/www/diag_logs_filter_summary.php
@@ -315,4 +315,4 @@ foreach (array_keys($fields) as $field) {
 <?php
 }
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_nanobsd.php b/src/usr/local/www/diag_nanobsd.php
index 6d0a2a7ed6..34e14336e2 100644
--- a/src/usr/local/www/diag_nanobsd.php
+++ b/src/usr/local/www/diag_nanobsd.php
@@ -253,4 +253,4 @@ if (file_exists("/conf/upgrade_log.txt") && $_POST['viewupgradelog']) {
 	</div>
 <?php
 }
-require("foot.inc");
\ No newline at end of file
+require("foot.inc");
diff --git a/src/usr/local/www/diag_ndp.php b/src/usr/local/www/diag_ndp.php
index cb6c8894d0..b375b0c982 100644
--- a/src/usr/local/www/diag_ndp.php
+++ b/src/usr/local/www/diag_ndp.php
@@ -176,4 +176,4 @@ include("head.inc");
 	</table>
 </div>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/diag_packet_capture.php b/src/usr/local/www/diag_packet_capture.php
index 39d230de7c..265b01afd1 100644
--- a/src/usr/local/www/diag_packet_capture.php
+++ b/src/usr/local/www/diag_packet_capture.php
@@ -502,4 +502,4 @@ if ($do_tcpdump) :
 	}
 endif;
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_patterns.php b/src/usr/local/www/diag_patterns.php
index 87b6516bc6..fd5753c8dc 100644
--- a/src/usr/local/www/diag_patterns.php
+++ b/src/usr/local/www/diag_patterns.php
@@ -120,4 +120,4 @@ $section->addInput($filepicker)->setHelp('Choose the file you wish to upload (*.
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_pf_info.php b/src/usr/local/www/diag_pf_info.php
index 8ede5c5ea8..f72bb2640f 100644
--- a/src/usr/local/www/diag_pf_info.php
+++ b/src/usr/local/www/diag_pf_info.php
@@ -143,4 +143,4 @@ print $form;
 	</div>
 </div>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/diag_pkglogs.php b/src/usr/local/www/diag_pkglogs.php
index 4bafa87510..92ca431485 100755
--- a/src/usr/local/www/diag_pkglogs.php
+++ b/src/usr/local/www/diag_pkglogs.php
@@ -145,4 +145,4 @@ if ($pkgwithlogging == false) {
 
 <?php }
 
-include("foot.inc"); ?>
\ No newline at end of file
+include("foot.inc"); ?>
diff --git a/src/usr/local/www/diag_resetstate.php b/src/usr/local/www/diag_resetstate.php
index 8630b596bf..96fdab976b 100644
--- a/src/usr/local/www/diag_resetstate.php
+++ b/src/usr/local/www/diag_resetstate.php
@@ -155,4 +155,4 @@ $form->add($section);
 print $form;
 ?>
 
-<?php include("foot.inc"); ?>
\ No newline at end of file
+<?php include("foot.inc"); ?>
diff --git a/src/usr/local/www/diag_routes.php b/src/usr/local/www/diag_routes.php
index 711e6b73ef..c0898e5ddd 100644
--- a/src/usr/local/www/diag_routes.php
+++ b/src/usr/local/www/diag_routes.php
@@ -239,4 +239,4 @@ events.push(function(){
 	</div>
 </div>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/diag_smart.php b/src/usr/local/www/diag_smart.php
index 3defed1592..e40c5873f0 100644
--- a/src/usr/local/www/diag_smart.php
+++ b/src/usr/local/www/diag_smart.php
@@ -498,4 +498,4 @@ switch ($action) {
 	}
 }
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_states_summary.php b/src/usr/local/www/diag_states_summary.php
index 502c53c99e..a6456575ef 100644
--- a/src/usr/local/www/diag_states_summary.php
+++ b/src/usr/local/www/diag_states_summary.php
@@ -232,4 +232,4 @@ print_summary_table(gettext("By Destination IP"), $dstipinfo);
 print_summary_table(gettext("Total per IP"), $allipinfo);
 print_summary_table(gettext("By IP Pair"), $pairipinfo, FALSE);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/diag_system_activity.php b/src/usr/local/www/diag_system_activity.php
index 22f19f14ac..c9bdd91359 100644
--- a/src/usr/local/www/diag_system_activity.php
+++ b/src/usr/local/www/diag_system_activity.php
@@ -113,4 +113,4 @@ events.push(function(){
 	</div>
 </div>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/diag_system_pftop.php b/src/usr/local/www/diag_system_pftop.php
index fbd9df67ec..d0c0b948b5 100644
--- a/src/usr/local/www/diag_system_pftop.php
+++ b/src/usr/local/www/diag_system_pftop.php
@@ -213,4 +213,4 @@ events.push(function(){
 	});
 });
 </script>
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/diag_testport.php b/src/usr/local/www/diag_testport.php
index 0faa3e28b5..2856c142f4 100644
--- a/src/usr/local/www/diag_testport.php
+++ b/src/usr/local/www/diag_testport.php
@@ -309,4 +309,4 @@ if ($ncoutput && !empty($result) && $showtext && $retval == 0): ?>
 	</div>
 <?php endif;
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/edit.php b/src/usr/local/www/edit.php
index 816daf26fa..f475003b24 100644
--- a/src/usr/local/www/edit.php
+++ b/src/usr/local/www/edit.php
@@ -355,4 +355,4 @@ var Base64 = {
 
 <?php include("foot.inc");
 
-outputJavaScriptFileInline("filebrowser/browser.js");
\ No newline at end of file
+outputJavaScriptFileInline("filebrowser/browser.js");
diff --git a/src/usr/local/www/firewall_aliases.php b/src/usr/local/www/firewall_aliases.php
index badabd798c..c90c57354d 100644
--- a/src/usr/local/www/firewall_aliases.php
+++ b/src/usr/local/www/firewall_aliases.php
@@ -277,7 +277,7 @@ display_top_tabs($tab_array);
 </table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="firewall_aliases_edit.php?tab=<?=$tab?>" role="button" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add");?>
diff --git a/src/usr/local/www/firewall_aliases_import.php b/src/usr/local/www/firewall_aliases_import.php
index 57378d8f81..2f347af8e2 100755
--- a/src/usr/local/www/firewall_aliases_import.php
+++ b/src/usr/local/www/firewall_aliases_import.php
@@ -231,4 +231,4 @@ $section->addInput(new Form_Textarea(
 $form->add($section);
 print $form;
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/firewall_nat.php b/src/usr/local/www/firewall_nat.php
index bdd61e5e7d..587a474b1e 100644
--- a/src/usr/local/www/firewall_nat.php
+++ b/src/usr/local/www/firewall_nat.php
@@ -367,7 +367,7 @@ endforeach;
 		</div>
 	</div>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="firewall_nat_edit.php?after=-1" class="btn btn-sm btn-success" title="<?=gettext('Add new rule')?>">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext('Add')?>
@@ -419,4 +419,4 @@ if (count($a_nat) > 0) {
 <?php
 }
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/firewall_nat_1to1.php b/src/usr/local/www/firewall_nat_1to1.php
index b1f6185a74..ee5fb054e4 100644
--- a/src/usr/local/www/firewall_nat_1to1.php
+++ b/src/usr/local/www/firewall_nat_1to1.php
@@ -260,7 +260,7 @@ display_top_tabs($tab_array);
 		</div>
 	</div>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="firewall_nat_1to1_edit.php?after=-1" class="btn btn-sm btn-success" title="<?=gettext('Add new mapping')?>">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext('Add')?>
@@ -306,4 +306,4 @@ events.push(function() {
 	});
 });
 </script>
-<?php include("foot.inc"); ?>
\ No newline at end of file
+<?php include("foot.inc"); ?>
diff --git a/src/usr/local/www/firewall_nat_npt.php b/src/usr/local/www/firewall_nat_npt.php
index f7bed09eaa..7a9c0c0f85 100644
--- a/src/usr/local/www/firewall_nat_npt.php
+++ b/src/usr/local/www/firewall_nat_npt.php
@@ -175,7 +175,7 @@ endforeach;
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="firewall_nat_npt_edit.php" class="btn btn-sm btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/firewall_nat_out.php b/src/usr/local/www/firewall_nat_out.php
index b02051346f..f844a5b88b 100644
--- a/src/usr/local/www/firewall_nat_out.php
+++ b/src/usr/local/www/firewall_nat_out.php
@@ -514,7 +514,7 @@ print($form);
 		</div>
 	</div>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="firewall_nat_out_edit.php" class="btn btn-sm btn-success" title="<?=gettext('Add new mapping')?>">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext('Add')?>
diff --git a/src/usr/local/www/firewall_rules.php b/src/usr/local/www/firewall_rules.php
index 0fced94687..c88aa03e23 100644
--- a/src/usr/local/www/firewall_rules.php
+++ b/src/usr/local/www/firewall_rules.php
@@ -651,7 +651,7 @@ for ($i = 0; isset($a_filter[$i]); $i++):
 	</div>
 <?php endif;?>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="firewall_rules_edit.php?if=<?=htmlspecialchars($if);?>" role="button" class="btn btn-sm btn-success">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext("Add");?>
diff --git a/src/usr/local/www/firewall_schedule.php b/src/usr/local/www/firewall_schedule.php
index 85348f0d29..b9cbdf32a2 100644
--- a/src/usr/local/www/firewall_schedule.php
+++ b/src/usr/local/www/firewall_schedule.php
@@ -271,7 +271,7 @@ endforeach;
 
 <?=($i > 0) ? gettext(CLOCK . ' Indicates that the schedule is currently active.'):''?>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="firewall_schedule_edit.php" class="btn btn-sm btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/firewall_schedule_edit.php b/src/usr/local/www/firewall_schedule_edit.php
index 7be4f091dc..964adeb146 100644
--- a/src/usr/local/www/firewall_schedule_edit.php
+++ b/src/usr/local/www/firewall_schedule_edit.php
@@ -1222,4 +1222,4 @@ function delete_row(row) {
 
 <?php
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/firewall_shaper.php b/src/usr/local/www/firewall_shaper.php
index e83bd39b1c..fd19623b44 100644
--- a/src/usr/local/www/firewall_shaper.php
+++ b/src/usr/local/www/firewall_shaper.php
@@ -506,4 +506,4 @@ else {
 </div>
 
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/firewall_shaper_layer7.php b/src/usr/local/www/firewall_shaper_layer7.php
index 0ee2287e95..196c3bd5ad 100644
--- a/src/usr/local/www/firewall_shaper_layer7.php
+++ b/src/usr/local/www/firewall_shaper_layer7.php
@@ -611,4 +611,4 @@ else
 
 
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/firewall_shaper_vinterface.php b/src/usr/local/www/firewall_shaper_vinterface.php
index f0b9f7badf..c459f01fc7 100644
--- a/src/usr/local/www/firewall_shaper_vinterface.php
+++ b/src/usr/local/www/firewall_shaper_vinterface.php
@@ -488,4 +488,4 @@ events.push(function(){
 	
 	
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/firewall_shaper_wizards.php b/src/usr/local/www/firewall_shaper_wizards.php
index 7ea8e55fc4..d5a829c9d3 100644
--- a/src/usr/local/www/firewall_shaper_wizards.php
+++ b/src/usr/local/www/firewall_shaper_wizards.php
@@ -148,4 +148,4 @@ endforeach;
 	</div>
 </div>
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/firewall_virtual_ip.php b/src/usr/local/www/firewall_virtual_ip.php
index d046068fac..585fda14bd 100644
--- a/src/usr/local/www/firewall_virtual_ip.php
+++ b/src/usr/local/www/firewall_virtual_ip.php
@@ -355,7 +355,7 @@ endforeach;
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="firewall_virtual_ip_edit.php" class="btn btn-sm btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/interfaces_bridge.php b/src/usr/local/www/interfaces_bridge.php
index 04daa24fdf..8478b76167 100644
--- a/src/usr/local/www/interfaces_bridge.php
+++ b/src/usr/local/www/interfaces_bridge.php
@@ -183,7 +183,7 @@ foreach ($a_bridges as $bridge) {
 		</tbody>
 	</table>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="interfaces_bridge_edit.php" class="btn btn-success btn-sm">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext("Add")?>
diff --git a/src/usr/local/www/interfaces_bridge_edit.php b/src/usr/local/www/interfaces_bridge_edit.php
index cdc6a94bb4..78554ffca6 100644
--- a/src/usr/local/www/interfaces_bridge_edit.php
+++ b/src/usr/local/www/interfaces_bridge_edit.php
@@ -559,4 +559,4 @@ foreach ($ifacelist as $ifn => $ifdescr) {
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/interfaces_gif.php b/src/usr/local/www/interfaces_gif.php
index 3e487b8fc3..1768a8275c 100644
--- a/src/usr/local/www/interfaces_gif.php
+++ b/src/usr/local/www/interfaces_gif.php
@@ -158,7 +158,7 @@ display_top_tabs($tab_array);
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="interfaces_gif_edit.php" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/interfaces_gre.php b/src/usr/local/www/interfaces_gre.php
index 0e12d8fbd3..57dbe9d1ac 100644
--- a/src/usr/local/www/interfaces_gre.php
+++ b/src/usr/local/www/interfaces_gre.php
@@ -157,7 +157,7 @@ display_top_tabs($tab_array);
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="interfaces_gre_edit.php" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/interfaces_gre_edit.php b/src/usr/local/www/interfaces_gre_edit.php
index b092ab12b4..86f1a381c5 100644
--- a/src/usr/local/www/interfaces_gre_edit.php
+++ b/src/usr/local/www/interfaces_gre_edit.php
@@ -254,4 +254,4 @@ if (isset($id) && $a_gres[$id]) {
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/interfaces_groups.php b/src/usr/local/www/interfaces_groups.php
index d071408b9f..16af6e5366 100644
--- a/src/usr/local/www/interfaces_groups.php
+++ b/src/usr/local/www/interfaces_groups.php
@@ -152,7 +152,7 @@ display_top_tabs($tab_array);
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a class="btn btn-success btn-sm" href="interfaces_groups_edit.php" role="button">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add");?>
diff --git a/src/usr/local/www/interfaces_lagg.php b/src/usr/local/www/interfaces_lagg.php
index 710fe84c46..beacf674f6 100644
--- a/src/usr/local/www/interfaces_lagg.php
+++ b/src/usr/local/www/interfaces_lagg.php
@@ -171,7 +171,7 @@ foreach ($a_laggs as $lagg) {
 		</tbody>
 	</table>
 
-	 <nav class="action-buttons" style="margin-top: 10px;">
+	 <nav class="action-buttons">
 		<a href="interfaces_lagg_edit.php" class="btn btn-success btn-sm">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext("Add")?>
diff --git a/src/usr/local/www/interfaces_lagg_edit.php b/src/usr/local/www/interfaces_lagg_edit.php
index 8dae58d2ab..e35f663bbb 100644
--- a/src/usr/local/www/interfaces_lagg_edit.php
+++ b/src/usr/local/www/interfaces_lagg_edit.php
@@ -284,4 +284,4 @@ if (isset($id) && $a_laggs[$id]) {
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/interfaces_ppps.php b/src/usr/local/www/interfaces_ppps.php
index 50418c31cf..7bfadca0eb 100644
--- a/src/usr/local/www/interfaces_ppps.php
+++ b/src/usr/local/www/interfaces_ppps.php
@@ -166,7 +166,7 @@ foreach ($a_ppps as $id => $ppp) {
 		</tbody>
 	</table>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="interfaces_ppps_edit.php" class="btn btn-success btn-sm">
 	   		<i class="fa fa-plus icon-embed-btn"></i>
 	   		<?=gettext("Add")?>
diff --git a/src/usr/local/www/interfaces_qinq.php b/src/usr/local/www/interfaces_qinq.php
index 22e1cc0b9e..331f029c6c 100644
--- a/src/usr/local/www/interfaces_qinq.php
+++ b/src/usr/local/www/interfaces_qinq.php
@@ -176,7 +176,7 @@ endforeach;
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="interfaces_qinq_edit.php" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/interfaces_vlan.php b/src/usr/local/www/interfaces_vlan.php
index 8850b11f63..75b7f7b85c 100644
--- a/src/usr/local/www/interfaces_vlan.php
+++ b/src/usr/local/www/interfaces_vlan.php
@@ -162,7 +162,7 @@ display_top_tabs($tab_array);
 	}
 ?>
 		</table>
-		<nav class="action-buttons" style="margin-top: 10px;">
+		<nav class="action-buttons">
 			<a class="btn btn-success btn-sm" role="button" href="interfaces_vlan_edit.php">
 				<i class="fa fa-plus icon-embed-btn"></i>
 				<?=gettext('Add'); ?>
diff --git a/src/usr/local/www/interfaces_wireless.php b/src/usr/local/www/interfaces_wireless.php
index f2052fc9cf..26e934c716 100644
--- a/src/usr/local/www/interfaces_wireless.php
+++ b/src/usr/local/www/interfaces_wireless.php
@@ -167,7 +167,7 @@ foreach ($a_clones as $clone) {
 		</tbody>
 	</table>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="interfaces_wireless_edit.php" class="btn btn-success btn-sm">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext("Add")?></a>
diff --git a/src/usr/local/www/interfaces_wireless_edit.php b/src/usr/local/www/interfaces_wireless_edit.php
index 42bce49696..f3bf12d912 100644
--- a/src/usr/local/www/interfaces_wireless_edit.php
+++ b/src/usr/local/www/interfaces_wireless_edit.php
@@ -255,4 +255,4 @@ if (isset($id) && $a_clones[$id]) {
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/license.php b/src/usr/local/www/license.php
index ed1256d344..d49679f259 100644
--- a/src/usr/local/www/license.php
+++ b/src/usr/local/www/license.php
@@ -151,4 +151,4 @@ include("head.inc");
 	</div>
 </div>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/load_balancer_monitor.php b/src/usr/local/www/load_balancer_monitor.php
index abf4b67a1a..2c9e8fdb7a 100644
--- a/src/usr/local/www/load_balancer_monitor.php
+++ b/src/usr/local/www/load_balancer_monitor.php
@@ -175,7 +175,7 @@ foreach($a_monitor as $monitor) {
 	</div>
 </form>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="load_balancer_monitor_edit.php" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/load_balancer_pool.php b/src/usr/local/www/load_balancer_pool.php
index d2db47434c..7d7866e081 100644
--- a/src/usr/local/www/load_balancer_pool.php
+++ b/src/usr/local/www/load_balancer_pool.php
@@ -210,7 +210,7 @@ foreach($a_pool as $pool) {
 	</div>
 </form>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="load_balancer_pool_edit.php" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/load_balancer_pool_edit.php b/src/usr/local/www/load_balancer_pool_edit.php
index 90550c8db1..1bb5ddefc2 100644
--- a/src/usr/local/www/load_balancer_pool_edit.php
+++ b/src/usr/local/www/load_balancer_pool_edit.php
@@ -473,4 +473,4 @@ events.push(function(){
 </script>
 
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/load_balancer_virtual_server.php b/src/usr/local/www/load_balancer_virtual_server.php
index f86a6d6f66..d188991c51 100644
--- a/src/usr/local/www/load_balancer_virtual_server.php
+++ b/src/usr/local/www/load_balancer_virtual_server.php
@@ -200,7 +200,7 @@ if(!empty($a_vs)) {
 	</div>
 </form>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="load_balancer_virtual_server_edit.php" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/load_balancer_virtual_server_edit.php b/src/usr/local/www/load_balancer_virtual_server_edit.php
index 1dfe7b6eb7..33404a335d 100644
--- a/src/usr/local/www/load_balancer_virtual_server_edit.php
+++ b/src/usr/local/www/load_balancer_virtual_server_edit.php
@@ -327,4 +327,4 @@ events.push(function(){
 //]]>
 </script>
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/reboot.php b/src/usr/local/www/reboot.php
index 62e08bb44c..5ba2289fd0 100755
--- a/src/usr/local/www/reboot.php
+++ b/src/usr/local/www/reboot.php
@@ -110,4 +110,4 @@ if ($_SERVER['REQUEST_METHOD'] == 'POST') {
 
 }
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_captiveportal_filemanager.php b/src/usr/local/www/services_captiveportal_filemanager.php
index 693e2f1514..ba8df333cf 100644
--- a/src/usr/local/www/services_captiveportal_filemanager.php
+++ b/src/usr/local/www/services_captiveportal_filemanager.php
@@ -260,7 +260,7 @@ if (is_array($a_cp[$cpzone]['element'])):
 endif;
 
 ?>
-	   <nav class="action-buttons" style="margin-top: 10px;">
+	   <nav class="action-buttons">
 <?php if (!$_GET['act'] == 'add'): ?>
 			<a href="services_captiveportal_filemanager.php?zone=<?=$cpzone?>&amp;act=add" class="btn btn-success">
 		   		<i class="fa fa-plus icon-embed-btn"></i>
diff --git a/src/usr/local/www/services_captiveportal_hostname.php b/src/usr/local/www/services_captiveportal_hostname.php
index f67a066fb0..ee7bd399d6 100644
--- a/src/usr/local/www/services_captiveportal_hostname.php
+++ b/src/usr/local/www/services_captiveportal_hostname.php
@@ -189,7 +189,7 @@ endif;
 ?>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_captiveportal_hostname_edit.php?zone=<?=$cpzone?>&amp;act=add" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/services_captiveportal_hostname_edit.php b/src/usr/local/www/services_captiveportal_hostname_edit.php
index 6b2264a8b8..de7ad03d5d 100644
--- a/src/usr/local/www/services_captiveportal_hostname_edit.php
+++ b/src/usr/local/www/services_captiveportal_hostname_edit.php
@@ -263,4 +263,4 @@ if (isset($id) && $a_allowedhostnames[$id]) {
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_captiveportal_ip.php b/src/usr/local/www/services_captiveportal_ip.php
index 0d4d81a84a..095cb92736 100644
--- a/src/usr/local/www/services_captiveportal_ip.php
+++ b/src/usr/local/www/services_captiveportal_ip.php
@@ -185,7 +185,7 @@ endif;
 ?>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_captiveportal_ip_edit.php?zone=<?=$cpzone?>&amp;act=add" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/services_captiveportal_mac.php b/src/usr/local/www/services_captiveportal_mac.php
index d787500f61..c76c3b50ef 100644
--- a/src/usr/local/www/services_captiveportal_mac.php
+++ b/src/usr/local/www/services_captiveportal_mac.php
@@ -245,7 +245,7 @@ endif;
 ?>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_captiveportal_mac_edit.php?zone=<?=$cpzone?>&amp;act=add" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/services_captiveportal_mac_edit.php b/src/usr/local/www/services_captiveportal_mac_edit.php
index dd61ac4ab5..97afe4a714 100644
--- a/src/usr/local/www/services_captiveportal_mac_edit.php
+++ b/src/usr/local/www/services_captiveportal_mac_edit.php
@@ -309,4 +309,4 @@ events.push(function(){
 //]]>
 </script>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/services_captiveportal_vouchers.php b/src/usr/local/www/services_captiveportal_vouchers.php
index 0bec274a26..14da17db2b 100644
--- a/src/usr/local/www/services_captiveportal_vouchers.php
+++ b/src/usr/local/www/services_captiveportal_vouchers.php
@@ -491,7 +491,7 @@ endforeach;
 <?php
 
 if ($pconfig['enable']) : ?>
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="services_captiveportal_vouchers_edit.php?zone=<?=$cpzone?>" class="btn btn-success">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext("Add")?>
diff --git a/src/usr/local/www/services_captiveportal_vouchers_edit.php b/src/usr/local/www/services_captiveportal_vouchers_edit.php
index c13356cd8d..104695d127 100644
--- a/src/usr/local/www/services_captiveportal_vouchers_edit.php
+++ b/src/usr/local/www/services_captiveportal_vouchers_edit.php
@@ -262,4 +262,4 @@ if (isset($id) && $a_roll[$id]) {
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_captiveportal_zones.php b/src/usr/local/www/services_captiveportal_zones.php
index b799c07fa6..4f0225b7e0 100644
--- a/src/usr/local/www/services_captiveportal_zones.php
+++ b/src/usr/local/www/services_captiveportal_zones.php
@@ -148,7 +148,7 @@ if (is_subsystem_dirty('captiveportal'))
 	</div>
 </form>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_captiveportal_zones_edit.php" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/services_captiveportal_zones_edit.php b/src/usr/local/www/services_captiveportal_zones_edit.php
index 10fd0f3023..6804525421 100644
--- a/src/usr/local/www/services_captiveportal_zones_edit.php
+++ b/src/usr/local/www/services_captiveportal_zones_edit.php
@@ -139,4 +139,4 @@ $form->add($section);
 
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_dhcp.php b/src/usr/local/www/services_dhcp.php
index 43543215c3..cb6af17d48 100644
--- a/src/usr/local/www/services_dhcp.php
+++ b/src/usr/local/www/services_dhcp.php
@@ -1326,7 +1326,7 @@ if (!is_numeric($pool) && !($act == "newpool")) {
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_dhcp_edit.php?if=<?=htmlspecialchars($if)?>" class="btn btn-sm btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/services_dhcpv6.php b/src/usr/local/www/services_dhcpv6.php
index ee972c10bf..de52106b54 100644
--- a/src/usr/local/www/services_dhcpv6.php
+++ b/src/usr/local/www/services_dhcpv6.php
@@ -940,7 +940,7 @@ endif;
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_dhcpv6_edit.php?if=<?=$if?>" class="btn btn-sm btn-success"/>
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/services_dnsmasq.php b/src/usr/local/www/services_dnsmasq.php
index 6083c3549f..c9eca47385 100644
--- a/src/usr/local/www/services_dnsmasq.php
+++ b/src/usr/local/www/services_dnsmasq.php
@@ -392,7 +392,7 @@ endforeach;
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_dnsmasq_edit.php" class="btn btn-sm btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
@@ -444,7 +444,7 @@ endforeach;
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_dnsmasq_domainoverride_edit.php" class="btn btn-sm btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/services_dnsmasq_domainoverride_edit.php b/src/usr/local/www/services_dnsmasq_domainoverride_edit.php
index c7fdc67da1..0bd832f9e5 100644
--- a/src/usr/local/www/services_dnsmasq_domainoverride_edit.php
+++ b/src/usr/local/www/services_dnsmasq_domainoverride_edit.php
@@ -180,4 +180,4 @@ if (isset($id) && $a_domainOverrides[$id]) {
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_dnsmasq_edit.php b/src/usr/local/www/services_dnsmasq_edit.php
index ec3e4681be..bea2fc8926 100644
--- a/src/usr/local/www/services_dnsmasq_edit.php
+++ b/src/usr/local/www/services_dnsmasq_edit.php
@@ -313,4 +313,4 @@ $section->addInput($btnaddopt);
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_dyndns_edit.php b/src/usr/local/www/services_dyndns_edit.php
index d391dbc7a0..184863871f 100644
--- a/src/usr/local/www/services_dyndns_edit.php
+++ b/src/usr/local/www/services_dyndns_edit.php
@@ -482,4 +482,4 @@ events.push(function(){
 //]]>
 </script>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/services_igmpproxy.php b/src/usr/local/www/services_igmpproxy.php
index 38c29d843b..3ddf55df63 100644
--- a/src/usr/local/www/services_igmpproxy.php
+++ b/src/usr/local/www/services_igmpproxy.php
@@ -162,7 +162,7 @@ endforeach;
 	</div>
 </form>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<button id="submit" name="submit" type="submit" class="btn btn-primary btn-sm" value="<?=gettext("Save")?>">
 		<i class="fa fa-save icon-embed-btn"></i>
 		<?=gettext("Save")?>
diff --git a/src/usr/local/www/services_igmpproxy_edit.php b/src/usr/local/www/services_igmpproxy_edit.php
index 007d49b252..b60633ba5b 100644
--- a/src/usr/local/www/services_igmpproxy_edit.php
+++ b/src/usr/local/www/services_igmpproxy_edit.php
@@ -309,4 +309,4 @@ $form->add($section);
 
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_ntpd.php b/src/usr/local/www/services_ntpd.php
index 6b368a40d7..464fa245bd 100644
--- a/src/usr/local/www/services_ntpd.php
+++ b/src/usr/local/www/services_ntpd.php
@@ -561,4 +561,4 @@ events.push(function(){
 //]]>
 </script>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/services_ntpd_gps.php b/src/usr/local/www/services_ntpd_gps.php
index 16b0b68896..5453f63c72 100644
--- a/src/usr/local/www/services_ntpd_gps.php
+++ b/src/usr/local/www/services_ntpd_gps.php
@@ -552,4 +552,4 @@ events.push(function(){
 //]]>
 </script>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/services_ntpd_pps.php b/src/usr/local/www/services_ntpd_pps.php
index 3a56712fd5..36172e7e1a 100644
--- a/src/usr/local/www/services_ntpd_pps.php
+++ b/src/usr/local/www/services_ntpd_pps.php
@@ -232,4 +232,4 @@ $section->addInput(new Form_Input(
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_rfc2136.php b/src/usr/local/www/services_rfc2136.php
index 155f15eeb4..8c5a4b3436 100644
--- a/src/usr/local/www/services_rfc2136.php
+++ b/src/usr/local/www/services_rfc2136.php
@@ -191,7 +191,7 @@ endforeach; ?>
     </div>
 </form>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_rfc2136_edit.php" class="btn btn-sm btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/services_rfc2136_edit.php b/src/usr/local/www/services_rfc2136_edit.php
index 294963291f..8298ed8744 100644
--- a/src/usr/local/www/services_rfc2136_edit.php
+++ b/src/usr/local/www/services_rfc2136_edit.php
@@ -292,4 +292,4 @@ print_info_box(sprintf('You must configure a DNS server in %sSystem: ' .
 					'General setup %sor allow the DNS server list to be overridden ' .
 					'by DHCP/PPP on WAN for dynamic DNS updates to work.','<a href="system.php">', '</a>'));
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_router_advertisements.php b/src/usr/local/www/services_router_advertisements.php
index 05155a06bd..e32733def6 100644
--- a/src/usr/local/www/services_router_advertisements.php
+++ b/src/usr/local/www/services_router_advertisements.php
@@ -423,4 +423,4 @@ events.push(function(){
 //]]>
 </script>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/services_snmp.php b/src/usr/local/www/services_snmp.php
index 3494add006..6711882bf9 100644
--- a/src/usr/local/www/services_snmp.php
+++ b/src/usr/local/www/services_snmp.php
@@ -363,4 +363,4 @@ events.push(function(){
 //]]>
 </script>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/services_unbound.php b/src/usr/local/www/services_unbound.php
index 056aed934c..3de7acaa07 100644
--- a/src/usr/local/www/services_unbound.php
+++ b/src/usr/local/www/services_unbound.php
@@ -481,7 +481,7 @@ endforeach;
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_unbound_host_edit.php" class="btn btn-sm btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
@@ -530,7 +530,7 @@ endforeach;
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_unbound_domainoverride_edit.php" class="btn btn-sm btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/services_unbound_acls.php b/src/usr/local/www/services_unbound_acls.php
index 15faeaf6b0..403892768c 100644
--- a/src/usr/local/www/services_unbound_acls.php
+++ b/src/usr/local/www/services_unbound_acls.php
@@ -348,7 +348,7 @@ else // NOT 'edit' or 'add'
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="services_unbound_acls.php?act=new" class="btn btn-sm btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/services_unbound_advanced.php b/src/usr/local/www/services_unbound_advanced.php
index 4afca92464..049a43e94b 100644
--- a/src/usr/local/www/services_unbound_advanced.php
+++ b/src/usr/local/www/services_unbound_advanced.php
@@ -384,4 +384,4 @@ $section->addInput(new Form_Checkbox(
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_unbound_host_edit.php b/src/usr/local/www/services_unbound_host_edit.php
index 42ce9ae518..d0f9b6d780 100644
--- a/src/usr/local/www/services_unbound_host_edit.php
+++ b/src/usr/local/www/services_unbound_host_edit.php
@@ -312,4 +312,4 @@ $section->addInput($btnaddopt);
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/services_wol_edit.php b/src/usr/local/www/services_wol_edit.php
index f464ce0733..0ea663acde 100644
--- a/src/usr/local/www/services_wol_edit.php
+++ b/src/usr/local/www/services_wol_edit.php
@@ -181,4 +181,4 @@ $section->addInput(new Form_Input(
 $form->add($section);
 print $form;
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/status_captiveportal_expire.php b/src/usr/local/www/status_captiveportal_expire.php
index d78dd37cf4..15aa94758c 100644
--- a/src/usr/local/www/status_captiveportal_expire.php
+++ b/src/usr/local/www/status_captiveportal_expire.php
@@ -126,4 +126,4 @@ if ($_POST) {
 	}
 }
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/status_captiveportal_voucher_rolls.php b/src/usr/local/www/status_captiveportal_voucher_rolls.php
index 9e26e024c4..63cd6dae39 100644
--- a/src/usr/local/www/status_captiveportal_voucher_rolls.php
+++ b/src/usr/local/www/status_captiveportal_voucher_rolls.php
@@ -160,4 +160,4 @@ display_top_tabs($tab_array);
 	    </tbody>
 	</table>
 </div>
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/status_captiveportal_vouchers.php b/src/usr/local/www/status_captiveportal_vouchers.php
index 8ff5c2033f..d6b3468de4 100644
--- a/src/usr/local/www/status_captiveportal_vouchers.php
+++ b/src/usr/local/www/status_captiveportal_vouchers.php
@@ -143,4 +143,4 @@ endforeach;
 	</table>
 </div>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/status_graph.php b/src/usr/local/www/status_graph.php
index 30fa6ad574..75b607d886 100644
--- a/src/usr/local/www/status_graph.php
+++ b/src/usr/local/www/status_graph.php
@@ -260,4 +260,4 @@ if (isset($config['ipsec']['enable']) || isset($config['ipsec']['client']['enabl
 		</div>
 	</div>
 </div>
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/status_graph_cpu.php b/src/usr/local/www/status_graph_cpu.php
index 43c37e0978..ad20b29903 100644
--- a/src/usr/local/www/status_graph_cpu.php
+++ b/src/usr/local/www/status_graph_cpu.php
@@ -59,4 +59,4 @@ $pgtitle = gettext("Status: CPU Graph");
 </div>
 
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/status_lb_pool.php b/src/usr/local/www/status_lb_pool.php
index ab8c988ac3..4d92a07ddc 100644
--- a/src/usr/local/www/status_lb_pool.php
+++ b/src/usr/local/www/status_lb_pool.php
@@ -262,4 +262,4 @@ if($rowsprinted > 0) {
 <?php
 }
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/status_lb_vs.php b/src/usr/local/www/status_lb_vs.php
index 6e54730646..0d271cdf9c 100644
--- a/src/usr/local/www/status_lb_vs.php
+++ b/src/usr/local/www/status_lb_vs.php
@@ -150,4 +150,4 @@ else {
 
 <?php }
 
-include("foot.inc"); ?>
\ No newline at end of file
+include("foot.inc"); ?>
diff --git a/src/usr/local/www/status_ntpd.php b/src/usr/local/www/status_ntpd.php
index bf00cede65..01f7c3b4c9 100644
--- a/src/usr/local/www/status_ntpd.php
+++ b/src/usr/local/www/status_ntpd.php
@@ -301,4 +301,4 @@ if (($gps_ok) && ($gps_lat) && ($gps_lon)):
 
 <?php	endif;
 
-include("foot.inc"); ?>
\ No newline at end of file
+include("foot.inc"); ?>
diff --git a/src/usr/local/www/status_rrd_graph.php b/src/usr/local/www/status_rrd_graph.php
index da61f9bf58..57d27c66e2 100644
--- a/src/usr/local/www/status_rrd_graph.php
+++ b/src/usr/local/www/status_rrd_graph.php
@@ -742,4 +742,4 @@ events.push(function(){
 //]]>
 </script>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/status_rrd_graph_settings.php b/src/usr/local/www/status_rrd_graph_settings.php
index f43c3f53e4..3d963ea7db 100644
--- a/src/usr/local/www/status_rrd_graph_settings.php
+++ b/src/usr/local/www/status_rrd_graph_settings.php
@@ -223,4 +223,4 @@ $form->addGlobal(new Form_Button(
 $form->add($section);
 print $form;
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/status_upnp.php b/src/usr/local/www/status_upnp.php
index 31a925596a..1d8f23a478 100644
--- a/src/usr/local/www/status_upnp.php
+++ b/src/usr/local/www/status_upnp.php
@@ -148,7 +148,7 @@ foreach ($rdr_entries as $rdr_entry) {
 		</table>
 	</div>
 	<form action="status_upnp.php" method="post">
-		<nav class="action-buttons" style="margin-top: 10px;">
+		<nav class="action-buttons">
 			<button class="btn btn-danger btn-sm" type="submit" name="clear" id="clear" value="<?=gettext("Clear all sessions")?>">
 				<i class="fa fa-trash icon-embed-btn"></i>
 				<?=gettext("Clear all sessions")?>
@@ -158,4 +158,4 @@ foreach ($rdr_entries as $rdr_entry) {
 </div>
 
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/status_wireless.php b/src/usr/local/www/status_wireless.php
index d8f91ebc89..c5a71e57f8 100644
--- a/src/usr/local/www/status_wireless.php
+++ b/src/usr/local/www/status_wireless.php
@@ -235,7 +235,7 @@ display_top_tabs($tab_array);
 
 
 <form action="status_wireless.php" method="post">
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<input type="hidden" name="if" id="if" value="<?=htmlspecialchars($if)?>" />
 		<button type="submit" class="btn btn-success" name="rescanwifi" id="rescanwifi" value="Rescan">
 			<i class="fa fa-undo icon-embed-btn"></i>
@@ -249,4 +249,4 @@ print_info_box('<b>Flags:</b> A = authorized, E = Extended Rate (802.11g), P = P
 			   '<b>Capabilities:</b> E = ESS (infrastructure mode), I = IBSS (ad-hoc mode), P = privacy (WEP/TKIP/AES), ' .
 			   'S = Short preamble, s = Short slot time', info);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/system_advanced_network.php b/src/usr/local/www/system_advanced_network.php
index 443241a622..9389848206 100644
--- a/src/usr/local/www/system_advanced_network.php
+++ b/src/usr/local/www/system_advanced_network.php
@@ -274,4 +274,4 @@ if (get_freebsd_version() == 8)
 $form->add($section);
 print $form;
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/system_advanced_notifications.php b/src/usr/local/www/system_advanced_notifications.php
index f3604e3811..8f00e46b49 100644
--- a/src/usr/local/www/system_advanced_notifications.php
+++ b/src/usr/local/www/system_advanced_notifications.php
@@ -379,4 +379,4 @@ $section->addInput(new Form_Checkbox(
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/system_authservers.php b/src/usr/local/www/system_authservers.php
index 6c14689e68..001a6fd0bc 100644
--- a/src/usr/local/www/system_authservers.php
+++ b/src/usr/local/www/system_authservers.php
@@ -428,7 +428,7 @@ if (!($act == "new" || $act == "edit" || $input_errors))
 		</table>
 	</div>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="?act=new" class="btn btn-success btn-sm">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext("Add")?>
diff --git a/src/usr/local/www/system_camanager.php b/src/usr/local/www/system_camanager.php
index cb7a525e39..1d38d029a6 100644
--- a/src/usr/local/www/system_camanager.php
+++ b/src/usr/local/www/system_camanager.php
@@ -456,7 +456,7 @@ foreach ($a_ca as $i => $ca):
 	</tbody>
 </table>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="?act=new" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
@@ -640,4 +640,4 @@ foreach ($a_ca as $ca) {
 	}
 }
 
-include('foot.inc');
\ No newline at end of file
+include('foot.inc');
diff --git a/src/usr/local/www/system_certmanager.php b/src/usr/local/www/system_certmanager.php
index 10791e3676..53c8500c8e 100644
--- a/src/usr/local/www/system_certmanager.php
+++ b/src/usr/local/www/system_certmanager.php
@@ -682,7 +682,7 @@ foreach($a_cert as $i => $cert):
 </table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="?act=new" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/system_firmware_restorefullbackup.php b/src/usr/local/www/system_firmware_restorefullbackup.php
index 0c4a2440ff..62d9dc2736 100644
--- a/src/usr/local/www/system_firmware_restorefullbackup.php
+++ b/src/usr/local/www/system_firmware_restorefullbackup.php
@@ -248,4 +248,4 @@ if (is_subsystem_dirty('restore')) {
 	system_reboot();
 }
 
-include("foot.inc");?>
\ No newline at end of file
+include("foot.inc");?>
diff --git a/src/usr/local/www/system_gateway_groups.php b/src/usr/local/www/system_gateway_groups.php
index fa15c8c577..653a0a1cb5 100644
--- a/src/usr/local/www/system_gateway_groups.php
+++ b/src/usr/local/www/system_gateway_groups.php
@@ -196,7 +196,7 @@ endforeach;
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="system_gateway_groups_edit.php" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/system_gateway_groups_edit.php b/src/usr/local/www/system_gateway_groups_edit.php
index 79a9ece2db..3e223fabaa 100644
--- a/src/usr/local/www/system_gateway_groups_edit.php
+++ b/src/usr/local/www/system_gateway_groups_edit.php
@@ -391,4 +391,4 @@ events.push(function(){
 </script>
 
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/system_gateways.php b/src/usr/local/www/system_gateways.php
index 0f38e664e2..d441f0ccac 100644
--- a/src/usr/local/www/system_gateways.php
+++ b/src/usr/local/www/system_gateways.php
@@ -327,7 +327,7 @@ foreach ($a_gateways as $i => $gateway):
 </tbody>
 </table>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="system_gateways_edit.php" role="button" class="btn btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add");?>
diff --git a/src/usr/local/www/system_gateways_edit.php b/src/usr/local/www/system_gateways_edit.php
index b5a04b9030..8d24117c8a 100644
--- a/src/usr/local/www/system_gateways_edit.php
+++ b/src/usr/local/www/system_gateways_edit.php
@@ -973,4 +973,4 @@ $form->add($section);
 
 print $form;
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/system_groupmanager.php b/src/usr/local/www/system_groupmanager.php
index 22e3e04a41..8defcc763e 100644
--- a/src/usr/local/www/system_groupmanager.php
+++ b/src/usr/local/www/system_groupmanager.php
@@ -316,7 +316,7 @@ if (!($_GET['act'] == "new" || $_GET['act'] == "edit"))
 		</table>
 	</div>
 
-	<nav class="action-buttons" style="margin-top: 10px;">
+	<nav class="action-buttons">
 		<a href="?act=new" class="btn btn-success btn-sm">
 			<i class="fa fa-plus icon-embed-btn"></i>
 			<?=gettext("Add")?>
diff --git a/src/usr/local/www/system_groupmanager_addprivs.php b/src/usr/local/www/system_groupmanager_addprivs.php
index 1f45956241..f610d8d33c 100644
--- a/src/usr/local/www/system_groupmanager_addprivs.php
+++ b/src/usr/local/www/system_groupmanager_addprivs.php
@@ -171,4 +171,4 @@ $form->add($section);
 
 print $form;
 
-include('foot.inc');
\ No newline at end of file
+include('foot.inc');
diff --git a/src/usr/local/www/system_routes.php b/src/usr/local/www/system_routes.php
index 55f94b7d85..6fba6d50e3 100644
--- a/src/usr/local/www/system_routes.php
+++ b/src/usr/local/www/system_routes.php
@@ -316,7 +316,7 @@ foreach ($a_routes as $i => $route):
 	</tr>
 </table>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="system_routes_edit.php" role="button" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/system_routes_edit.php b/src/usr/local/www/system_routes_edit.php
index d5fb02b6a4..a4e7835c84 100644
--- a/src/usr/local/www/system_routes_edit.php
+++ b/src/usr/local/www/system_routes_edit.php
@@ -328,4 +328,4 @@ events.push(function(){
 //]]>
 </script>
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/system_usermanager.php b/src/usr/local/www/system_usermanager.php
index 5d62d1ac51..e7c982aa15 100644
--- a/src/usr/local/www/system_usermanager.php
+++ b/src/usr/local/www/system_usermanager.php
@@ -514,7 +514,7 @@ foreach($a_user as $i => $userent):
 		</tbody>
 	</table>
 </div>
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="?act=new" class="btn btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/system_usermanager_addprivs.php b/src/usr/local/www/system_usermanager_addprivs.php
index ab706554f0..e291f52f4f 100644
--- a/src/usr/local/www/system_usermanager_addprivs.php
+++ b/src/usr/local/www/system_usermanager_addprivs.php
@@ -211,4 +211,4 @@ events.push(function(){
 //]]>
 </script>
 
-<?php include("foot.inc");
\ No newline at end of file
+<?php include("foot.inc");
diff --git a/src/usr/local/www/system_usermanager_passwordmg.php b/src/usr/local/www/system_usermanager_passwordmg.php
index ca55275c92..5fd522f65d 100644
--- a/src/usr/local/www/system_usermanager_passwordmg.php
+++ b/src/usr/local/www/system_usermanager_passwordmg.php
@@ -149,4 +149,4 @@ $section->addInput(new Form_Input(
 $form->add($section);
 print($form);
 
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
diff --git a/src/usr/local/www/system_usermanager_settings.php b/src/usr/local/www/system_usermanager_settings.php
index 0e86d4c448..2d81438836 100644
--- a/src/usr/local/www/system_usermanager_settings.php
+++ b/src/usr/local/www/system_usermanager_settings.php
@@ -174,4 +174,4 @@ $form->addGlobal(new Form_Button(
 $form->add($section);
 print $form;
 
-include("fend.inc");
\ No newline at end of file
+include("fend.inc");
diff --git a/src/usr/local/www/system_usermanager_settings_test.php b/src/usr/local/www/system_usermanager_settings_test.php
index 1e857fd5d1..48e0c65e20 100755
--- a/src/usr/local/www/system_usermanager_settings_test.php
+++ b/src/usr/local/www/system_usermanager_settings_test.php
@@ -139,4 +139,4 @@ if (!$authcfg) {
 		</div>
 	</div>
 </body>
-</html>
\ No newline at end of file
+</html>
diff --git a/src/usr/local/www/vpn_ipsec.php b/src/usr/local/www/vpn_ipsec.php
index 539263d518..351d2b4490 100644
--- a/src/usr/local/www/vpn_ipsec.php
+++ b/src/usr/local/www/vpn_ipsec.php
@@ -561,7 +561,7 @@ display_top_tabs($tab_array);
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 <?php
 /*
 	if ($i !== 0): ?>
diff --git a/src/usr/local/www/vpn_ipsec_keys.php b/src/usr/local/www/vpn_ipsec_keys.php
index 99b208a022..3cb166502d 100644
--- a/src/usr/local/www/vpn_ipsec_keys.php
+++ b/src/usr/local/www/vpn_ipsec_keys.php
@@ -188,7 +188,7 @@ if (is_subsystem_dirty('ipsec'))
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a class="btn btn-success btn-sm" href="vpn_ipsec_keys_edit.php">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/vpn_ipsec_keys_edit.php b/src/usr/local/www/vpn_ipsec_keys_edit.php
index 4c8877e15f..20666e6571 100644
--- a/src/usr/local/www/vpn_ipsec_keys_edit.php
+++ b/src/usr/local/www/vpn_ipsec_keys_edit.php
@@ -206,4 +206,4 @@ print $form;
 	<?=gettext("PSK for any user can be set by using an identifier of any")?>
 </div>
 
-<?php include("foot.inc"); ?>
\ No newline at end of file
+<?php include("foot.inc"); ?>
diff --git a/src/usr/local/www/vpn_l2tp_users.php b/src/usr/local/www/vpn_l2tp_users.php
index 0c9033bea2..8aa2570e7c 100644
--- a/src/usr/local/www/vpn_l2tp_users.php
+++ b/src/usr/local/www/vpn_l2tp_users.php
@@ -145,7 +145,7 @@ if (is_subsystem_dirty('l2tpusers'))
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a class="btn btn-success btn-sm" href="vpn_l2tp_users_edit.php">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/vpn_openvpn_client.php b/src/usr/local/www/vpn_openvpn_client.php
index 24eb848ce6..f408008f1e 100644
--- a/src/usr/local/www/vpn_openvpn_client.php
+++ b/src/usr/local/www/vpn_openvpn_client.php
@@ -855,7 +855,7 @@ else:
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="vpn_openvpn_client.php?act=new" class="btn btn-sm btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/vpn_openvpn_csc.php b/src/usr/local/www/vpn_openvpn_csc.php
index 2121fef9d1..4247cf2644 100644
--- a/src/usr/local/www/vpn_openvpn_csc.php
+++ b/src/usr/local/www/vpn_openvpn_csc.php
@@ -650,7 +650,7 @@ else :  // Not an 'add' or an 'edit'. Just the table of Override CSCs
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="vpn_openvpn_csc.php?act=new" class="btn btn-success btn-sm">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
diff --git a/src/usr/local/www/vpn_openvpn_server.php b/src/usr/local/www/vpn_openvpn_server.php
index 13b471ccce..674e064658 100644
--- a/src/usr/local/www/vpn_openvpn_server.php
+++ b/src/usr/local/www/vpn_openvpn_server.php
@@ -1321,7 +1321,7 @@ else:
 	</div>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="vpn_openvpn_server.php?act=new" class="btn btn-sm btn-success btn-sm">
 	<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/vpn_pppoe.php b/src/usr/local/www/vpn_pppoe.php
index ec0e821f10..e6fadfc6e4 100644
--- a/src/usr/local/www/vpn_pppoe.php
+++ b/src/usr/local/www/vpn_pppoe.php
@@ -169,7 +169,7 @@ endforeach;
 	</table>
 </div>
 
-<nav class="action-buttons" style="margin-top: 10px;">
+<nav class="action-buttons">
 	<a href="vpn_pppoe_edit.php" class="btn btn-success">
 		<i class="fa fa-plus icon-embed-btn"></i>
 		<?=gettext("Add")?>
diff --git a/src/usr/local/www/vpn_pppoe_edit.php b/src/usr/local/www/vpn_pppoe_edit.php
index 1f146e65bf..604ddb2ba3 100644
--- a/src/usr/local/www/vpn_pppoe_edit.php
+++ b/src/usr/local/www/vpn_pppoe_edit.php
@@ -632,4 +632,4 @@ events.push(function(){
 //]]>
 </script>
 <?php
-include("foot.inc");
\ No newline at end of file
+include("foot.inc");
